Page MenuHomePhabricator

switch fundraising cases where we use GeoIP to GeoIP2
Closed, ResolvedPublic2 Estimated Story Points

Description

The deprecated v1 format databases are officially gone as of 1/2/2019. We'll have to switch any cases where we're using them to the v2 format and tools.

https://support.maxmind.com/geolite-legacy-discontinuation-notice/

Event Timeline

Jgreen created this task.Feb 6 2019, 3:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2019, 3:38 PM

Change 469058 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP use GeoIP2 for local geoip lookup

https://gerrit.wikimedia.org/r/469058

@DStrine this should probably be done soonish. For users that come to paymentswiki without a country in the URL, we've been geocoding them with a local database of IP ranges that was updated weekly. Looks like the old version isn't going to get any more updates, so we run the risk of mis-locating people as IP addresses are bought and sold. I think the old DB never included IPv6, so we also are mis-locating more people as the IPv6 transition continues.

Jgreen added a comment.Feb 8 2019, 4:20 PM

Hosts using geoip should now have these new-format databases available, and updating weekly:

/usr/share/GeoIP/GeoLite2-City.mmdb
/usr/share/GeoIP/GeoLite2-Country.mmdb

We'll keep the old-format databases in that same directory for the transition, athough they are not updating.

Ejegg added a comment.Feb 8 2019, 4:33 PM

@Jgreen does GeoLite2 have separate databases for ipv4 and ipv6?

Jgreen added a comment.Feb 8 2019, 6:59 PM

@Jgreen does GeoLite2 have separate databases for ipv4 and ipv6?

As far as I can tell they're unified now, though I'm having trouble with ipv6 in my test setup, so far I'm only getting country data for ipv6 addresses and I have yet to find an address that comes back anything other than 'US'.

Ejegg claimed this task.Mar 20 2019, 8:48 PM
Ejegg triaged this task as Medium priority.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Fistful of $variables board.
Ejegg set the point value for this task to 2.

Change 469058 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Use GeoIP2 for local geoip lookup

https://gerrit.wikimedia.org/r/469058

Ejegg closed this task as Resolved.Apr 19 2019, 5:58 PM
Dwisehaupt moved this task from Triage to Done on the fundraising-tech-ops board.Feb 13 2020, 9:43 PM